package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.Frame;

import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/18 16:06
 */

public interface FrameService extends IService<Frame> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] tmpIds);

    Long querycategoryId(Long tmpId);

    void update(Algorithm alg);
}
